%define major 0
%define libname %mklibname dca %major
%define develname %mklibname -d dca

Summary: DTS Coherent Acoustics decoder
Name: libdca
Version: 0.0.5
Release: %mkrel 5
Source0: http://download.videolan.org/pub/videolan/libdca/%version/%{name}-%version.tar.bz2
License: GPLv2+
Group: System/Libraries
Url: http://www.videolan.org/developers/libdca.html

%description
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package tools
Summary: DTS Coherent Acoustics decoder
Group: Sound/Editors and Converters
Obsoletes: dtsdec
Provides: dtsdec

%description tools
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package -n %libname
Group: System/Libraries
Summary: DTS Coherent Acoustics decoder shared library

%description -n %libname
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package -n %develname
Group: Development/C
Summary: Library for decoding DTS audio - C development files
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: dtsdec-devel
Provides: dtsdec-devel

%description -n %develname
This is a free decoder for the DTS Coherent Acoustics format.DTS is a
high quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package contains a library and the required header files to
develop with libdts.

This package is in tainted section as it might be covered by
patents.

%prep
%setup -q -n %name-%version

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# libdca installs broken libdts.a compatibility symlink;
# replace it with shared devel symlink:
rm %{buildroot}%{_libdir}/libdts.a
ln -s libdca.so %{buildroot}%{_libdir}/libdts.so

%files tools
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/dtsdec
%_bindir/dcadec
%_bindir/extract_dca
%_bindir/extract_dts
%_mandir/man1/dcadec.1*
%_mandir/man1/extract_dca.1*

%files -n %libname
%_libdir/libdca.so.%{major}*

%files -n %develname
%doc TODO
%_includedir/dts.h
%_includedir/dca.h
%_libdir/*.so
%_libdir/*a
%_libdir/pkgconfig/libdca.pc
%_libdir/pkgconfig/libdts.pc



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.0.5-5.mga3
+ Revision: 356965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.0.5-4.mga3.tainted
+ Revision: 323367
- clean spec
- update rpm group

* Fri May 13 2011 anssi <anssi> 0.0.5-3.mga1
+ Revision: 97758
- update descriptions for Mageia
- remove old macros
- remove obsoletes/provides from src.rpm
- imported package libdca

